from django.db import models
# Create your models here.
class Zadani(models.Model):
    stanovisko_y = models.FloatField()
    stanovisko_x = models.FloatField()
    orientace_y = models.FloatField()
    orientace_x = models.FloatField()
    smer_orientace = models.FloatField()
    smer_bod = models.FloatField()
    delka = models.FloatField()

    class Meta:
        verbose_name_plural = "Zadání"

    def save(self, *args, **kwargs):
        from .vypocet import rajon
        from django.utils import timezone
        
        super().save(*args, **kwargs)
        
        vysledek = rajon(self.stanovisko_y, self.stanovisko_x,
                         self.orientace_y, self.orientace_x,
                         self.smer_orientace,
                         self.smer_bod,
                         self.delka)

        v = Vysledek(souradnice_y=vysledek[0], souradnice_x=vysledek[1],
                     cas=timezone.now(), zadani_id=self.id)
        v.save()
        
    def delete(self, *args, **kwargs):
        super().delete(*args, **kwargs)
        
class Vysledek(models.Model):
    souradnice_y = models.FloatField()
    souradnice_x = models.FloatField()
    cas = models.DateTimeField()
    zadani = models.ForeignKey(Zadani, on_delete=models.CASCADE)

    class Meta:
        verbose_name_plural = "Výsledky"
